# Uses of Class
org.apache.sling.api.request.header.JakartaMediaRangeList.MediaRange

Packages that use JakartaMediaRangeList.MediaRange
Package
Description
org.apache.sling.api.request.header

## Uses of JakartaMediaRangeList.MediaRange in org.apache.sling.api.request.header

Methods in org.apache.sling.api.request.header that return JakartaMediaRangeList.MediaRange
Modifier and Type
Method
Description
`JakartaMediaRangeList.MediaRange`
JakartaMediaRangeList.`prefer(Set<JakartaMediaRangeList.MediaRange> mediaRanges)`
Given a list of media types, returns the one is preferred by this `MediaRangeList`.
Methods in org.apache.sling.api.request.header with parameters of type JakartaMediaRangeList.MediaRange
Modifier and Type
Method
Description
`int`
JakartaMediaRangeList.MediaRange.`compareTo(JakartaMediaRangeList.MediaRange o)`
Method parameters in org.apache.sling.api.request.header with type arguments of type JakartaMediaRangeList.MediaRange
Modifier and Type
Method
Description
`JakartaMediaRangeList.MediaRange`
JakartaMediaRangeList.`prefer(Set<JakartaMediaRangeList.MediaRange> mediaRanges)`
Given a list of media types, returns the one is preferred by this `MediaRangeList`.